BEGIN TRY
	DROP TABLE GISTEST
END TRY BEGIN CATCH END CATCH

CREATE TABLE GISTEST (
	IDX INT IDENTITY (1,1) NOT NULL PRIMARY KEY,
	NAME VARCHAR(20) NOT NULL,
	LOCATION GEOMETRY NOT NULL
)
GO

INSERT INTO GISTEST (NAME, LOCATION) VALUES
	('', GEOMETRY::STGeomFromText('POINT(-500 0)', 0)), 
	('ڼ', GEOMETRY::STGeomFromText('POLYGON((0 0, -50 0, -50 -50, 0 -50, 0 0))', 0)), 
	('Ｚ', GEOMETRY::STGeomFromText('POINT(600 0)', 0)),
	('տ', GEOMETRY::STGeomFromText('POLYGON((1000 -10, 1200 -10, 1200 190, 1000 190, 1000 -10))', 0)),
	('Ǿ߱', GEOMETRY::STGeomFromText('POLYGON((1090 0, 1190 0, 1190 100, 1090 100, 1090 0))', 0)),
	('źõ', GEOMETRY::STGeomFromText('LINESTRING(900 300, 800 0, 1100 -300)', 0))
	
	
--
SELECT * FROM GISTEST	

--ڿ Ȯ
SELECT *, LOCATION.ToString() as [ڿ]
  FROM GISTEST


--Ÿ-ڼͿ   Ÿ
DECLARE @LOC GEOMETRY
SELECT @LOC = LOCATION FROM GISTEST WHERE NAME = 'ڼ'
SELECT NAME, LOCATION.STDistance(@LOC) AS [Ÿ(m)] 
  FROM GISTEST 
 ORDER BY LOCATION.STDistance(@LOC)


---ǹ 
SELECT NAME, LOCATION.STArea() AS [(m2)] 
  FROM GISTEST
 WHERE LOCATION.STGeometryType() = 'POLYGON'
 ORDER BY LOCATION.STArea()


---źõ ݰ 200M  Ǵ νϽ
DECLARE @LOC2 GEOMETRY
SELECT @LOC2 = LOCATION FROM GISTEST WHERE NAME = 'źõ'
SELECT NAME,
	   [LOCATION] = CASE WHEN NAME = 'źõ' THEN LOCATION.STBuffer(200) ELSE LOCATION.STBuffer(10) END
  FROM GISTEST
 WHERE LOCATION.STIntersects(@LOC2.STBuffer(200)) = 1
 UNION ALL 
SELECT 'źõ' AS [NAME], @LOC2 AS [LOCALTION]


---տ ϴ νϽ
DECLARE @LOC3 GEOMETRY
SELECT @LOC3 = LOCATION FROM GISTEST WHERE NAME = 'տ'
SELECT NAME, LOCATION
  FROM GISTEST
 WHERE @LOC3.STContains(LOCATION) = 1


